| OptFEM2DP1 Toolbox V1.2b3 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
runBenchs.m File Reference

Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`. More...

Go to the source code of this file.

## Functions
function | runBenchs (varargin)
| Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.
function | runBenchs>BenchToLatexTabular (bench, LaTeXFilename)

## Detailed Description

Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Definition in file runBenchs.m.

## Function Documentation

function runBenchs>BenchToLatexTabular | ( |  | bench,
|  |  | LaTeXFilename
| ) |  |

Definition at line 136 of file runBenchs.m.

function runBenchs | ( |  | varargin | ) |

Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Optional parameters
  - `save` : true for saving each bench in latex files. (default false)
  - `directory` : name of the directory for saving files.
  - `name` : base name of files.
  - `LN` : List of N parameters for SquareMesh function.

Example

           runBenchs('save',true,'name','benchMatlabR2012b','LN',20:20:160)

Results under Matlab R2012b
  Here are the results on our reference machine.
  - functions MassAssemblingP1

  - functions MassWAssemblingP1

  - functions StiffAssemblingP1

  - functions StiffElasAssembling

Results under Octave 3.6.3
  Here are the results on our reference machine.
  - functions MassAssemblingP1

  - functions MassWAssemblingP1

  - functions StiffAssemblingP1

  - functions StiffElasAssembling

See Also
  benchMassP1, benchMassWP1, benchStiffP1, benchStiffElasP1, InitOptFEM2D

Copyright
  See License issues

Parameters

  varargin | runBenchs ( [ "save", save_value ] [, "directory", directory_value ] [, "name", name_value ] [, "LN", LN_value ] ) Named Parameters for varargin: save save ( Default: `false` ) directory directory ( Default: ``latex`` ) name name ( Default: ``bench`` ) LN LN ( Default: `[20:20:100]` )

Definition at line 17 of file runBenchs.m.